Package twisted :: Package web :: Module client

[show private | hide private]
[frames | no frames]

## Module twisted.web.client

Classes
`HTTPClientFactory` |
`HTTPDownloader` |
`HTTPPageDownloader` |
`HTTPPageGetter` |

Function Summary
| `downloadPage(url, file)`
| ``getPage`(url)` download a web page
| `_parse(url)`

Variable Summary
`SelectReactor` | `reactor`

Function Details

### getPage(url)

download a web page

Download a page. Return a deferred, which will callback with a page or errback with a description of the error.

Variable Details

### reactor

  Type:
    `SelectReactor`
  Value:

        <twisted.internet.default.SelectReactor instance at 0x834759c>

Generated by Epydoc 1.1 on Sat Feb 15 21:19:27 2003 | http://epydoc.sf.net